com.google.gwt.user.client.ui

## Class DecoratedTabBar

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.google.gwt.user.client.ui.Composite
      - - com.google.gwt.user.client.ui.TabBar
        - - com.google.gwt.user.client.ui.DecoratedTabBar

All Implemented Interfaces:
  HasAttachHandlers, HasBeforeSelectionHandlers<java.lang.Integer>, HasSelectionHandlers<java.lang.Integer>, HasHandlers, EventListener, ClickListener, HasVisibility, IsRenderable, IsWidget, KeyboardListener, SourcesTabEvents

    public class DecoratedTabBar
    extends TabBar

A `TabBar` that wraps each tab in a 2x3 grid (six box), which allows users to add rounded corners.

### CSS Style Rules

- .gwt-DecoratedTabBar { the tab bar itself }
- .gwt-DecoratedTabBar .gwt-TabBarFirst { the left edge of the bar }
- .gwt-DecoratedTabBar .gwt-TabBarRest { the right edge of the bar }
- .gwt-DecoratedTabBar .gwt-TabBarItem { unselected tabs }
- .gwt-DecoratedTabBar .gwt-TabBarItem-wrapper { table cell around tab }
- .gwt-DecoratedTabBar .gwt-TabBarItem-selected { additional style for selected tabs }
- .gwt-DecoratedTabBar .gwt-TabBarItem-wrapper-selected { table cell around selected tab }
- .gwt-DecoratedTabBar .tabTopLeft { top left corner of the tab}
- .gwt-DecoratedTabBar .tabTopLeftInner { the inner element of the cell}
- .gwt-DecoratedTabBar .tabTopCenter { top center of the tab}
- .gwt-DecoratedTabBar .tabTopCenterInner { the inner element of the cell}
- .gwt-DecoratedTabBar .tabTopRight { top right corner of the tab}
- .gwt-DecoratedTabBar .tabTopRightInner { the inner element of the cell}
- .gwt-DecoratedTabBar .tabMiddleLeft { left side of the tab }
- .gwt-DecoratedTabBar .tabMiddleLeftInner { the inner element of the cell}
- .gwt-DecoratedTabBar .tabMiddleCenter { center of the tab, where the tab text or widget resides }
- .gwt-DecoratedTabBar .tabMiddleCenterInner { the inner element of the cell}
- .gwt-DecoratedTabBar .tabMiddleRight { right side of the tab }
- .gwt-DecoratedTabBar .tabMiddleRightInner { the inner element of the cell}

### Nested Class Summary

### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.TabBar

`TabBar.Tab`

### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

`UIObject.DebugIdImpl, UIObject.DebugIdImplEnabled`

### Field Summary

Fields
`(package private) static java.lang.String` `STYLENAME_DEFAULT`
`(package private) static java.lang.String[]` `TAB_ROW_STYLES`

### Fields inherited from class com.google.gwt.user.client.ui.Widget

`eventsToSink`

### Fields inherited from class com.google.gwt.user.client.ui.UIObject

`DEBUG_ID_PREFIX, MISSING_ELEMENT_ERROR, SETELEMENT_TWICE_ERROR`

### Fields inherited from interface com.google.gwt.user.client.ui.KeyboardListener

`KEY_ALT, KEY_BACKSPACE, KEY_CTRL, KEY_DELETE, KEY_DOWN, KEY_END, KEY_ENTER, KEY_ESCAPE, KEY_HOME, KEY_LEFT, KEY_PAGEDOWN, KEY_PAGEUP, KEY_RIGHT, KEY_SHIFT, KEY_TAB, KEY_UP, MODIFIER_ALT, MODIFIER_CTRL, MODIFIER_META, MODIFIER_SHIFT`

### Constructor Summary

Constructors
Constructor and Description
`DecoratedTabBar()` Creates an empty `DecoratedTabBar`.

### Method Summary

All Methods Instance Methods Concrete Methods
`protected SimplePanel` `createTabTextWrapper()` Create a `SimplePanel` that will wrap the contents in a tab.

### Methods inherited from class com.google.gwt.user.client.ui.TabBar

`addBeforeSelectionHandler, addSelectionHandler, addTab, addTab, addTab, addTab, addTabListener, getSelectedTab, getTab, getTabCount, getTabHTML, insertTab, insertTab, insertTab, insertTab, insertTabWidget, isTabEnabled, onClick, onEnsureDebugId, onKeyDown, onKeyPress, onKeyUp, removeTab, removeTabListener, selectTab, selectTab, setTabEnabled, setTabHTML, setTabHTML, setTabText`

### Methods inherited from class com.google.gwt.user.client.ui.Composite

`claimElement, getWidget, initializeClaimedElement, initWidget, isAttached, onAttach, onBrowserEvent, onDetach, render, render, resolvePotentialElement, setWidget`

### Methods inherited from class com.google.gwt.user.client.ui.Widget

`addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, ensureHandlers, fireEvent, getHandlerCount, getHandlerManager, getLayoutData, getParent, isOrWasAttached, onLoad, onUnload, removeFromParent, replaceElement, setLayoutData, setParent, sinkEvents, unsinkEvents`

### Methods inherited from class com.google.gwt.user.client.ui.UIObject

`addStyleDependentName, addStyleName, ensureDebugId, ensureDebugId, ensureDebugId, getAbsoluteLeft, getAbsoluteTop, getElement, getOffsetHeight, getOffsetWidth, getStyleElement, getStyleName, getStyleName, getStylePrimaryName, getStylePrimaryName, getTitle, isVisible, isVisible, removeStyleDependentName, removeStyleName, setElement, setElement, setHeight, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setTitle, setVisible, setVisible, setWidth, sinkBitlessEvent, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

`fireEvent`

### Field Detail

#### TAB_ROW_STYLES

    static java.lang.String[] TAB_ROW_STYLES

#### STYLENAME_DEFAULT

    static final java.lang.String STYLENAME_DEFAULT

See Also:
  Constant Field Values

### Constructor Detail

#### DecoratedTabBar

    public DecoratedTabBar()

Creates an empty `DecoratedTabBar`.

### Method Detail

#### createTabTextWrapper

    protected SimplePanel createTabTextWrapper()

Description copied from class: `TabBar`
Create a `SimplePanel` that will wrap the contents in a tab. Subclasses can use this method to wrap tabs in decorator panels.

Overrides:
  `createTabTextWrapper` in class `TabBar`
Returns:
  a `SimplePanel` to wrap the tab contents, or null to leave tabs unwrapped